Bug 548565 - aio: eventfd support introduced a 0.5% performance regression
Summary: aio: eventfd support introduced a 0.5% performance regression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jeff Moyer
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-17 20:00 UTC by Jeff Moyer
Modified: 2010-03-30 07:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:43:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
fix performance regression by using a bit in ki_flags (3.89 KB, patch)
2010-01-11 19:35 UTC, Jeff Moyer
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Jeff Moyer 2009-12-17 20:00:29 UTC
Description of problem:
OLTP-type runs regressed by .5% due to the additional overhead in the aio_complete code path.

Version-Release number of selected component (if applicable):
kernel-2.6.18-181.el5

How reproducible:
100%

Steps to Reproduce:
1. run oltp-type workload on huge system

Comment 2 Jeff Moyer 2010-01-11 19:35:25 UTC
Created attachment 383071 [details]
fix performance regression by using a bit in ki_flags

Comment 4 RHEL Program Management 2010-01-11 19:52:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 14 errata-xmlrpc 2010-03-30 07:43:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.